Skip to content

GetInstanceHistory

GET
/api/v1/t/{tenant}/workflows/instances/{instanceId}/history
curl --request GET \
--url https://example.com/api/v1/t/example/workflows/instances/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/history
tenant
required
string

Tenant slug

instanceId
required
string format: uuid

OK

Media typeapplication/json
Array<object>
object
id
required
string format: uuid
sequence
required
integer format: int32
kind
required
Allowed values: Started StepEntered TaskAssigned TaskDelegated TaskReminded TaskEscalated TaskCompleted HintAdded StepFailed Ended EscalationSkipped ApproverChosen StepSkipped TaskWithdrawn WebhookDelivered SignatureRequested SignatureFieldsReviewed SignatureSignerEnded SignatureEnded
stepName
required
null | string
stepLabel
required
null | string
taskId
required
null | string format: uuid
actorId
required
null | string format: uuid
actorName
required
null | string
userId
required
null | string format: uuid
roleId
required
null | string format: uuid
outcome
required
One of:
null
state
required
One of:
null
reason
required
One of:
null
occurredAt
required
string format: date-time
comment
required
null | string
linkedDocument
One of:
null
signature
One of:
null
Example
[
{
"kind": "Started",
"outcome": "Approved",
"state": "Running",
"reason": "StepBudgetExceeded",
"signature": {
"signers": [
{
"source": "Member",
"outcome": "Signed"
}
],
"fieldSources": [
"AcroForm"
],
"level": "Ses",
"fieldMode": "TypeTemplate",
"fieldsReason": "ReviewRequested",
"outcome": "Signed"
}
}
]

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Too Many Requests

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}